- Introdução
- Melhores práticas
- Tenant
- Sobre o contexto do tenant
- Pesquisa de recursos em um tenant
- Gerenciamento de robôs
- Conectar Robôs ao Orchestrator
- Armazenamento de credenciais do robô no CyberArk
- Armazenamento de senhas do Unattended Robot no Azure Key Vault (somente leitura)
- Armazenamento de credenciais do Unattended Robot no HashiCorp Vault (somente leitura)
- Armazenando credenciais de Unattended Robots no AWS Secrets Manager (somente leitura)
- Exclusão de sessões não assistidas desconectadas e não responsivas
- Autenticação do robô
- Autenticação de robôs com credenciais de cliente
- Configuração de recursos de automação
- Soluções
- Auditar
- Configurações
- Registro
- Cloud Robots
- Visão geral dos robôs do Cloud
- Execução de automações Unattended usando Cloud Robots - VM
- Carregamento de sua própria imagem
- Reutilização de imagens de máquinas personalizadas (para pools manuais)
- Redefinição de credenciais para uma máquina (para pools manuais)
- Monitoramento
- Atualizações de segurança
- Como solicitar uma avaliação
- Perguntas frequentes
- Configurando VPN para Robôs de nuvem
- Configurar uma conexão ExpressRoute
- Transmissão ao vivo e controle remoto
- Automation Suite Robots
- Contexto de Pastas
- Processos
- Trabalhos
- Apps
- Gatilhos
- Logs
- Monitoramento
- Índices
- Filas
- Ativos
- Sobre ativos
- Gerenciamento de ativos no Orchestrator
- Gerenciamento de ativos no Studio
- Armazenamento de ativos no Azure Key Vault (somente leitura)
- Armazenamento de ativos no HashiCorp Vault (somente leitura)
- Armazenando ativos no AWS Secrets Manager (somente leitura)
- Armazenamento de ativos no Google Secret Manager (somente leitura)
- Conexões
- Regras de Negócios
- Armazenar Buckets
- Servidores MCP
- Teste do Orquestrador
- Serviço Catálogo de recursos
- Integrações
- Solução de problemas
Guia do usuário do Orchestrator
Interactive login is designed for developers working locally who need quick access to test MCP Servers. The client in this method is the UiPath CLI (uipath command-line tool) running on your development machine.
When you run uipath auth, the CLI opens your default browser to the UiPath Cloud login page. After you authenticate, the CLI saves the resulting Bearer token to a .env file in your current directory. You then include this token in the Authorization header of your HTTP requests to the MCP Server endpoint.
Interactive login is suitable for the following scenarios:
- Local development and testing of MCP Servers.
- Quick API testing with cURL, Postman, or MCP Inspector.
- Debugging MCP tool calls with full user permissions.
- Any scenario where a human developer is present at the terminal.
It is not suitable for unattended or automated scenarios. In this case, use an external application instead. For IDE integrations, use the MCP OAuth flow.
Pré-requisitos
- The UiPath CLI is installed on your development machine.
- You have an account with the Automation User, Automation Developer, or Folder Administrator role in the folder containing the MCP Server.
Authenticate and call an MCP Server
-
Authenticate to UiPath:
uipath authuipath authThe CLI opens your default browser. Log in to UiPath Cloud to complete authentication. The CLI saves the resulting Bearer token to a
.envfile in your current directory asUIPATH_ACCESS_TOKEN. -
Export the token to your shell environment:
export UIPATH_ACCESS_TOKEN=$(grep UIPATH_ACCESS_TOKEN .env | cut -d= -f2)export UIPATH_ACCESS_TOKEN=$(grep UIPATH_ACCESS_TOKEN .env | cut -d= -f2) -
Call an MCP Server using the exported token:
curl -X POST "https://cloud.uipath.com/{org}/{tenant}/agenthub_/mcp/{folderKey}/{slug}" \ -H "Authorization: Bearer $UIPATH_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"initialize","params":{"protocolVersion":"2025-06-18","capabilities":{},"clientInfo":{"name":"curl","version":"1.0"}},"id":1}'curl -X POST "https://cloud.uipath.com/{org}/{tenant}/agenthub_/mcp/{folderKey}/{slug}" \ -H "Authorization: Bearer $UIPATH_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"initialize","params":{"protocolVersion":"2025-06-18","capabilities":{},"clientInfo":{"name":"curl","version":"1.0"}},"id":1}'
Resultado
The MCP Server validates the token and responds to the initialize request. You can then send subsequent MCP protocol messages with the same Authorization header on every request.
Token characteristics
- Type: JWT
- Audience: includes
OrchestratorApiUserAccess - Issuer: UiPath Identity Server (
{env}.uipath.com/identity_) - Expiry: one hour. There is no automatic refresh, re-run
uipath authto get a new token.
The token grants:
- Access to all folders where the logged-in user has role assignments.
- All permissions the user has in those folders (inherited from their roles).
- Compatibility with Integration Service activities (user context is present).
Applicable MCP Server types
This authentication method works with all MCP Server types: UiPath, Coded, Command, Self-hosted, Remote, and Platform.